Add contact tags
Adds the given tags to the contact, keeping the tags it already has, and returns the contact.
Adds the given tags to the contact, keeping the tags it already has, and returns the contact.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^contact_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
tags*array<string>
Items
1 <= itemsResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/contacts/string/tags" \ -H "Content-Type: application/json" \ -d '{ "tags": [ "string" ] }'{ "id": "string", "name": "string", "displayName": "string", "avatar": "string", "status": "active", "statusReason": "string", "externalId": "string", "identities": [ { "id": "string", "channel": "email", "identifier": "string", "verified": true } ], "profile": { "firstName": "string", "lastName": "string", "company": "string", "jobTitle": "string", "location": { "country": "string", "state": "string", "city": "string", "timezone": "string" }, "customFields": { "property1": "string", "property2": "string" }, "source": "api" }, "preferences": { "preferredChannels": [ "email" ], "language": "string", "timezone": "string", "notifications": { "email": true, "quiet_hours": { "start": "string", "end": "string" } } }, "tags": [ "string" ], "metadata": {}, "createdAt": "string", "updatedAt": "string"}